ElasticemailMessage
Stored in the elasticemailmessages collection. createdAt and updatedAt are maintained automatically.
Returned by GET /logs/elasticemail.
| Field | Type | Notes |
|---|---|---|
from | object | |
from.name | string | |
from.address | string | |
from._id | ObjectId | default "6a95712f932657988a91c02d" |
subject | string | default "" |
to | string[] | default [] |
cc | string[] | default [] |
bcc | string[] | default [] |
text | string | |
html | string | |
attachments | mixed[] | default [] |
replyTo | string | |
inReplyTo | string | |
status | string | default init · one of init, sent, failed |
elasticemail | ObjectId -> Elasticemail | required |
info | any | |
companyID | ObjectId | |
_id | ObjectId | default "6a95712f932657988a91c02e" |
createdAt | date | set once |
updatedAt | date |